depends = ('ITKPyBase', 'ITKStatistics', 'ITKMathematicalMorphology', 'ITKImageGrid', 'ITKCommon', )
templates = (  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayF8', False, 'float,8'),
  ('Vector', 'itk::Vector', 'itkVectorF8', False, 'float,8'),
  ('Image', 'itk::Image', 'itkImageVF82', False, 'itk::Vector<float,8>,2'),
  ('vector', 'std::vector', 'vectoritkImageVF82', False, 'itk::Image< itk::Vector<float,8>,2  > '),
  ('Image', 'itk::Image', 'itkImageVF83', False, 'itk::Vector<float,8>,3'),
  ('vector', 'std::vector', 'vectoritkImageVF83', False, 'itk::Image< itk::Vector<float,8>,3  > '),
  ('Image', 'itk::Image', 'itkImageVF84', False, 'itk::Vector<float,8>,4'),
  ('vector', 'std::vector', 'vectoritkImageVF84', False, 'itk::Image< itk::Vector<float,8>,4  > '),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIVF82', False, 'itk::Image<itk::Vector<float,8>,2>'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIVF83', False, 'itk::Image<itk::Vector<float,8>,3>'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIVF84', False, 'itk::Image<itk::Vector<float,8>,4>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterISS2IVF82', False, 'itk::Image< signed short,2 >, itk::Image<itk::Vector<float,8>,2>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2IVF82', False, 'itk::Image< unsigned char,2 >, itk::Image<itk::Vector<float,8>,2>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2IVF82', False, 'itk::Image< unsigned short,2 >, itk::Image<itk::Vector<float,8>,2>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2IVF82', False, 'itk::Image< float,2 >, itk::Image<itk::Vector<float,8>,2>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID2IVF82', False, 'itk::Image< double,2 >, itk::Image<itk::Vector<float,8>,2>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterISS3IVF83', False, 'itk::Image< signed short,3 >, itk::Image<itk::Vector<float,8>,3>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC3IVF83', False, 'itk::Image< unsigned char,3 >, itk::Image<itk::Vector<float,8>,3>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS3IVF83', False, 'itk::Image< unsigned short,3 >, itk::Image<itk::Vector<float,8>,3>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF3IVF83', False, 'itk::Image< float,3 >, itk::Image<itk::Vector<float,8>,3>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID3IVF83', False, 'itk::Image< double,3 >, itk::Image<itk::Vector<float,8>,3>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterISS4IVF84', False, 'itk::Image< signed short,4 >, itk::Image<itk::Vector<float,8>,4>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC4IVF84', False, 'itk::Image< unsigned char,4 >, itk::Image<itk::Vector<float,8>,4>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS4IVF84', False, 'itk::Image< unsigned short,4 >, itk::Image<itk::Vector<float,8>,4>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF4IVF84', False, 'itk::Image< float,4 >, itk::Image<itk::Vector<float,8>,4>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID4IVF84', False, 'itk::Image< double,4 >, itk::Image<itk::Vector<float,8>,4>'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIVF82', False, 'itk::Image<itk::Vector<float,8>,2>'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIVF83', False, 'itk::Image<itk::Vector<float,8>,3>'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIVF84', False, 'itk::Image<itk::Vector<float,8>,4>'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIVF82', False, 'itk::Image<itk::Vector<float,8>,2>'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIVF83', False, 'itk::Image<itk::Vector<float,8>,3>'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIVF84', False, 'itk::Image<itk::Vector<float,8>,4>'),
  ('CoocurrenceTextureFeaturesImageFilter', 'itk::Statistics::CoocurrenceTextureFeaturesImageFilter', 'itkCoocurrenceTextureFeaturesImageFilterISS2VIF2', True, 'itk::Image< signed short,2 >, itk::VectorImage< float,2 >'),
  ('CoocurrenceTextureFeaturesImageFilter', 'itk::Statistics::CoocurrenceTextureFeaturesImageFilter', 'itkCoocurrenceTextureFeaturesImageFilterISS2IVF82', True, 'itk::Image< signed short,2 >, itk::Image<itk::Vector<float,8>,2>'),
  ('CoocurrenceTextureFeaturesImageFilter', 'itk::Statistics::CoocurrenceTextureFeaturesImageFilter', 'itkCoocurrenceTextureFeaturesImageFilterIUC2VIF2', True, 'itk::Image< unsigned char,2 >, itk::VectorImage< float,2 >'),
  ('CoocurrenceTextureFeaturesImageFilter', 'itk::Statistics::CoocurrenceTextureFeaturesImageFilter', 'itkCoocurrenceTextureFeaturesImageFilterIUC2IVF82', True, 'itk::Image< unsigned char,2 >, itk::Image<itk::Vector<float,8>,2>'),
  ('CoocurrenceTextureFeaturesImageFilter', 'itk::Statistics::CoocurrenceTextureFeaturesImageFilter', 'itkCoocurrenceTextureFeaturesImageFilterIUS2VIF2', True, 'itk::Image< unsigned short,2 >, itk::VectorImage< float,2 >'),
  ('CoocurrenceTextureFeaturesImageFilter', 'itk::Statistics::CoocurrenceTextureFeaturesImageFilter', 'itkCoocurrenceTextureFeaturesImageFilterIUS2IVF82', True, 'itk::Image< unsigned short,2 >, itk::Image<itk::Vector<float,8>,2>'),
  ('CoocurrenceTextureFeaturesImageFilter', 'itk::Statistics::CoocurrenceTextureFeaturesImageFilter', 'itkCoocurrenceTextureFeaturesImageFilterIF2VIF2', True, 'itk::Image< float,2 >, itk::VectorImage< float,2 >'),
  ('CoocurrenceTextureFeaturesImageFilter', 'itk::Statistics::CoocurrenceTextureFeaturesImageFilter', 'itkCoocurrenceTextureFeaturesImageFilterIF2IVF82', True, 'itk::Image< float,2 >, itk::Image<itk::Vector<float,8>,2>'),
  ('CoocurrenceTextureFeaturesImageFilter', 'itk::Statistics::CoocurrenceTextureFeaturesImageFilter', 'itkCoocurrenceTextureFeaturesImageFilterID2VIF2', True, 'itk::Image< double,2 >, itk::VectorImage< float,2 >'),
  ('CoocurrenceTextureFeaturesImageFilter', 'itk::Statistics::CoocurrenceTextureFeaturesImageFilter', 'itkCoocurrenceTextureFeaturesImageFilterID2IVF82', True, 'itk::Image< double,2 >, itk::Image<itk::Vector<float,8>,2>'),
  ('CoocurrenceTextureFeaturesImageFilter', 'itk::Statistics::CoocurrenceTextureFeaturesImageFilter', 'itkCoocurrenceTextureFeaturesImageFilterISS3VIF3', True, 'itk::Image< signed short,3 >, itk::VectorImage< float,3 >'),
  ('CoocurrenceTextureFeaturesImageFilter', 'itk::Statistics::CoocurrenceTextureFeaturesImageFilter', 'itkCoocurrenceTextureFeaturesImageFilterISS3IVF83', True, 'itk::Image< signed short,3 >, itk::Image<itk::Vector<float,8>,3>'),
  ('CoocurrenceTextureFeaturesImageFilter', 'itk::Statistics::CoocurrenceTextureFeaturesImageFilter', 'itkCoocurrenceTextureFeaturesImageFilterIUC3VIF3', True, 'itk::Image< unsigned char,3 >, itk::VectorImage< float,3 >'),
  ('CoocurrenceTextureFeaturesImageFilter', 'itk::Statistics::CoocurrenceTextureFeaturesImageFilter', 'itkCoocurrenceTextureFeaturesImageFilterIUC3IVF83', True, 'itk::Image< unsigned char,3 >, itk::Image<itk::Vector<float,8>,3>'),
  ('CoocurrenceTextureFeaturesImageFilter', 'itk::Statistics::CoocurrenceTextureFeaturesImageFilter', 'itkCoocurrenceTextureFeaturesImageFilterIUS3VIF3', True, 'itk::Image< unsigned short,3 >, itk::VectorImage< float,3 >'),
  ('CoocurrenceTextureFeaturesImageFilter', 'itk::Statistics::CoocurrenceTextureFeaturesImageFilter', 'itkCoocurrenceTextureFeaturesImageFilterIUS3IVF83', True, 'itk::Image< unsigned short,3 >, itk::Image<itk::Vector<float,8>,3>'),
  ('CoocurrenceTextureFeaturesImageFilter', 'itk::Statistics::CoocurrenceTextureFeaturesImageFilter', 'itkCoocurrenceTextureFeaturesImageFilterIF3VIF3', True, 'itk::Image< float,3 >, itk::VectorImage< float,3 >'),
  ('CoocurrenceTextureFeaturesImageFilter', 'itk::Statistics::CoocurrenceTextureFeaturesImageFilter', 'itkCoocurrenceTextureFeaturesImageFilterIF3IVF83', True, 'itk::Image< float,3 >, itk::Image<itk::Vector<float,8>,3>'),
  ('CoocurrenceTextureFeaturesImageFilter', 'itk::Statistics::CoocurrenceTextureFeaturesImageFilter', 'itkCoocurrenceTextureFeaturesImageFilterID3VIF3', True, 'itk::Image< double,3 >, itk::VectorImage< float,3 >'),
  ('CoocurrenceTextureFeaturesImageFilter', 'itk::Statistics::CoocurrenceTextureFeaturesImageFilter', 'itkCoocurrenceTextureFeaturesImageFilterID3IVF83', True, 'itk::Image< double,3 >, itk::Image<itk::Vector<float,8>,3>'),
  ('CoocurrenceTextureFeaturesImageFilter', 'itk::Statistics::CoocurrenceTextureFeaturesImageFilter', 'itkCoocurrenceTextureFeaturesImageFilterISS4VIF4', True, 'itk::Image< signed short,4 >, itk::VectorImage< float,4 >'),
  ('CoocurrenceTextureFeaturesImageFilter', 'itk::Statistics::CoocurrenceTextureFeaturesImageFilter', 'itkCoocurrenceTextureFeaturesImageFilterISS4IVF84', True, 'itk::Image< signed short,4 >, itk::Image<itk::Vector<float,8>,4>'),
  ('CoocurrenceTextureFeaturesImageFilter', 'itk::Statistics::CoocurrenceTextureFeaturesImageFilter', 'itkCoocurrenceTextureFeaturesImageFilterIUC4VIF4', True, 'itk::Image< unsigned char,4 >, itk::VectorImage< float,4 >'),
  ('CoocurrenceTextureFeaturesImageFilter', 'itk::Statistics::CoocurrenceTextureFeaturesImageFilter', 'itkCoocurrenceTextureFeaturesImageFilterIUC4IVF84', True, 'itk::Image< unsigned char,4 >, itk::Image<itk::Vector<float,8>,4>'),
  ('CoocurrenceTextureFeaturesImageFilter', 'itk::Statistics::CoocurrenceTextureFeaturesImageFilter', 'itkCoocurrenceTextureFeaturesImageFilterIUS4VIF4', True, 'itk::Image< unsigned short,4 >, itk::VectorImage< float,4 >'),
  ('CoocurrenceTextureFeaturesImageFilter', 'itk::Statistics::CoocurrenceTextureFeaturesImageFilter', 'itkCoocurrenceTextureFeaturesImageFilterIUS4IVF84', True, 'itk::Image< unsigned short,4 >, itk::Image<itk::Vector<float,8>,4>'),
  ('CoocurrenceTextureFeaturesImageFilter', 'itk::Statistics::CoocurrenceTextureFeaturesImageFilter', 'itkCoocurrenceTextureFeaturesImageFilterIF4VIF4', True, 'itk::Image< float,4 >, itk::VectorImage< float,4 >'),
  ('CoocurrenceTextureFeaturesImageFilter', 'itk::Statistics::CoocurrenceTextureFeaturesImageFilter', 'itkCoocurrenceTextureFeaturesImageFilterIF4IVF84', True, 'itk::Image< float,4 >, itk::Image<itk::Vector<float,8>,4>'),
  ('CoocurrenceTextureFeaturesImageFilter', 'itk::Statistics::CoocurrenceTextureFeaturesImageFilter', 'itkCoocurrenceTextureFeaturesImageFilterID4VIF4', True, 'itk::Image< double,4 >, itk::VectorImage< float,4 >'),
  ('CoocurrenceTextureFeaturesImageFilter', 'itk::Statistics::CoocurrenceTextureFeaturesImageFilter', 'itkCoocurrenceTextureFeaturesImageFilterID4IVF84', True, 'itk::Image< double,4 >, itk::Image<itk::Vector<float,8>,4>'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayF10', False, 'float,10'),
  ('Vector', 'itk::Vector', 'itkVectorF10', False, 'float,10'),
  ('Image', 'itk::Image', 'itkImageVF102', False, 'itk::Vector<float,10>,2'),
  ('vector', 'std::vector', 'vectoritkImageVF102', False, 'itk::Image< itk::Vector<float,10>,2  > '),
  ('Image', 'itk::Image', 'itkImageVF103', False, 'itk::Vector<float,10>,3'),
  ('vector', 'std::vector', 'vectoritkImageVF103', False, 'itk::Image< itk::Vector<float,10>,3  > '),
  ('Image', 'itk::Image', 'itkImageVF104', False, 'itk::Vector<float,10>,4'),
  ('vector', 'std::vector', 'vectoritkImageVF104', False, 'itk::Image< itk::Vector<float,10>,4  > '),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIVF102', False, 'itk::Image< itk::Vector<float,10>,2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIVF103', False, 'itk::Image< itk::Vector<float,10>,3 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIVF104', False, 'itk::Image< itk::Vector<float,10>,4 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterISS2IVF102', False, 'itk::Image< signed short,2 >, itk::Image<itk::Vector<float,10>,2>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2IVF102', False, 'itk::Image< unsigned char,2 >, itk::Image<itk::Vector<float,10>,2>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2IVF102', False, 'itk::Image< unsigned short,2 >, itk::Image<itk::Vector<float,10>,2>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2IVF102', False, 'itk::Image< float,2 >, itk::Image<itk::Vector<float,10>,2>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID2IVF102', False, 'itk::Image< double,2 >, itk::Image<itk::Vector<float,10>,2>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterISS3IVF103', False, 'itk::Image< signed short,3 >, itk::Image<itk::Vector<float,10>,3>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC3IVF103', False, 'itk::Image< unsigned char,3 >, itk::Image<itk::Vector<float,10>,3>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS3IVF103', False, 'itk::Image< unsigned short,3 >, itk::Image<itk::Vector<float,10>,3>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF3IVF103', False, 'itk::Image< float,3 >, itk::Image<itk::Vector<float,10>,3>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID3IVF103', False, 'itk::Image< double,3 >, itk::Image<itk::Vector<float,10>,3>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterISS4IVF104', False, 'itk::Image< signed short,4 >, itk::Image<itk::Vector<float,10>,4>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC4IVF104', False, 'itk::Image< unsigned char,4 >, itk::Image<itk::Vector<float,10>,4>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS4IVF104', False, 'itk::Image< unsigned short,4 >, itk::Image<itk::Vector<float,10>,4>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF4IVF104', False, 'itk::Image< float,4 >, itk::Image<itk::Vector<float,10>,4>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID4IVF104', False, 'itk::Image< double,4 >, itk::Image<itk::Vector<float,10>,4>'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIVF102', False, 'itk::Image<itk::Vector<float,10>,2>'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIVF103', False, 'itk::Image<itk::Vector<float,10>,3>'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIVF104', False, 'itk::Image<itk::Vector<float,10>,4>'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIVF102', False, 'itk::Image<itk::Vector<float,10>,2>'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIVF103', False, 'itk::Image<itk::Vector<float,10>,3>'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIVF104', False, 'itk::Image<itk::Vector<float,10>,4>'),
  ('RunLengthTextureFeaturesImageFilter', 'itk::Statistics::RunLengthTextureFeaturesImageFilter', 'itkRunLengthTextureFeaturesImageFilterISS2VIF2', True, 'itk::Image< signed short,2 >, itk::VectorImage< float,2 >'),
  ('RunLengthTextureFeaturesImageFilter', 'itk::Statistics::RunLengthTextureFeaturesImageFilter', 'itkRunLengthTextureFeaturesImageFilterISS2IVF102', True, 'itk::Image< signed short,2 >, itk::Image<itk::Vector<float,10>,2>'),
  ('RunLengthTextureFeaturesImageFilter', 'itk::Statistics::RunLengthTextureFeaturesImageFilter', 'itkRunLengthTextureFeaturesImageFilterIUC2VIF2', True, 'itk::Image< unsigned char,2 >, itk::VectorImage< float,2 >'),
  ('RunLengthTextureFeaturesImageFilter', 'itk::Statistics::RunLengthTextureFeaturesImageFilter', 'itkRunLengthTextureFeaturesImageFilterIUC2IVF102', True, 'itk::Image< unsigned char,2 >, itk::Image<itk::Vector<float,10>,2>'),
  ('RunLengthTextureFeaturesImageFilter', 'itk::Statistics::RunLengthTextureFeaturesImageFilter', 'itkRunLengthTextureFeaturesImageFilterIUS2VIF2', True, 'itk::Image< unsigned short,2 >, itk::VectorImage< float,2 >'),
  ('RunLengthTextureFeaturesImageFilter', 'itk::Statistics::RunLengthTextureFeaturesImageFilter', 'itkRunLengthTextureFeaturesImageFilterIUS2IVF102', True, 'itk::Image< unsigned short,2 >, itk::Image<itk::Vector<float,10>,2>'),
  ('RunLengthTextureFeaturesImageFilter', 'itk::Statistics::RunLengthTextureFeaturesImageFilter', 'itkRunLengthTextureFeaturesImageFilterIF2VIF2', True, 'itk::Image< float,2 >, itk::VectorImage< float,2 >'),
  ('RunLengthTextureFeaturesImageFilter', 'itk::Statistics::RunLengthTextureFeaturesImageFilter', 'itkRunLengthTextureFeaturesImageFilterIF2IVF102', True, 'itk::Image< float,2 >, itk::Image<itk::Vector<float,10>,2>'),
  ('RunLengthTextureFeaturesImageFilter', 'itk::Statistics::RunLengthTextureFeaturesImageFilter', 'itkRunLengthTextureFeaturesImageFilterID2VIF2', True, 'itk::Image< double,2 >, itk::VectorImage< float,2 >'),
  ('RunLengthTextureFeaturesImageFilter', 'itk::Statistics::RunLengthTextureFeaturesImageFilter', 'itkRunLengthTextureFeaturesImageFilterID2IVF102', True, 'itk::Image< double,2 >, itk::Image<itk::Vector<float,10>,2>'),
  ('RunLengthTextureFeaturesImageFilter', 'itk::Statistics::RunLengthTextureFeaturesImageFilter', 'itkRunLengthTextureFeaturesImageFilterISS3VIF3', True, 'itk::Image< signed short,3 >, itk::VectorImage< float,3 >'),
  ('RunLengthTextureFeaturesImageFilter', 'itk::Statistics::RunLengthTextureFeaturesImageFilter', 'itkRunLengthTextureFeaturesImageFilterISS3IVF103', True, 'itk::Image< signed short,3 >, itk::Image<itk::Vector<float,10>,3>'),
  ('RunLengthTextureFeaturesImageFilter', 'itk::Statistics::RunLengthTextureFeaturesImageFilter', 'itkRunLengthTextureFeaturesImageFilterIUC3VIF3', True, 'itk::Image< unsigned char,3 >, itk::VectorImage< float,3 >'),
  ('RunLengthTextureFeaturesImageFilter', 'itk::Statistics::RunLengthTextureFeaturesImageFilter', 'itkRunLengthTextureFeaturesImageFilterIUC3IVF103', True, 'itk::Image< unsigned char,3 >, itk::Image<itk::Vector<float,10>,3>'),
  ('RunLengthTextureFeaturesImageFilter', 'itk::Statistics::RunLengthTextureFeaturesImageFilter', 'itkRunLengthTextureFeaturesImageFilterIUS3VIF3', True, 'itk::Image< unsigned short,3 >, itk::VectorImage< float,3 >'),
  ('RunLengthTextureFeaturesImageFilter', 'itk::Statistics::RunLengthTextureFeaturesImageFilter', 'itkRunLengthTextureFeaturesImageFilterIUS3IVF103', True, 'itk::Image< unsigned short,3 >, itk::Image<itk::Vector<float,10>,3>'),
  ('RunLengthTextureFeaturesImageFilter', 'itk::Statistics::RunLengthTextureFeaturesImageFilter', 'itkRunLengthTextureFeaturesImageFilterIF3VIF3', True, 'itk::Image< float,3 >, itk::VectorImage< float,3 >'),
  ('RunLengthTextureFeaturesImageFilter', 'itk::Statistics::RunLengthTextureFeaturesImageFilter', 'itkRunLengthTextureFeaturesImageFilterIF3IVF103', True, 'itk::Image< float,3 >, itk::Image<itk::Vector<float,10>,3>'),
  ('RunLengthTextureFeaturesImageFilter', 'itk::Statistics::RunLengthTextureFeaturesImageFilter', 'itkRunLengthTextureFeaturesImageFilterID3VIF3', True, 'itk::Image< double,3 >, itk::VectorImage< float,3 >'),
  ('RunLengthTextureFeaturesImageFilter', 'itk::Statistics::RunLengthTextureFeaturesImageFilter', 'itkRunLengthTextureFeaturesImageFilterID3IVF103', True, 'itk::Image< double,3 >, itk::Image<itk::Vector<float,10>,3>'),
  ('RunLengthTextureFeaturesImageFilter', 'itk::Statistics::RunLengthTextureFeaturesImageFilter', 'itkRunLengthTextureFeaturesImageFilterISS4VIF4', True, 'itk::Image< signed short,4 >, itk::VectorImage< float,4 >'),
  ('RunLengthTextureFeaturesImageFilter', 'itk::Statistics::RunLengthTextureFeaturesImageFilter', 'itkRunLengthTextureFeaturesImageFilterISS4IVF104', True, 'itk::Image< signed short,4 >, itk::Image<itk::Vector<float,10>,4>'),
  ('RunLengthTextureFeaturesImageFilter', 'itk::Statistics::RunLengthTextureFeaturesImageFilter', 'itkRunLengthTextureFeaturesImageFilterIUC4VIF4', True, 'itk::Image< unsigned char,4 >, itk::VectorImage< float,4 >'),
  ('RunLengthTextureFeaturesImageFilter', 'itk::Statistics::RunLengthTextureFeaturesImageFilter', 'itkRunLengthTextureFeaturesImageFilterIUC4IVF104', True, 'itk::Image< unsigned char,4 >, itk::Image<itk::Vector<float,10>,4>'),
  ('RunLengthTextureFeaturesImageFilter', 'itk::Statistics::RunLengthTextureFeaturesImageFilter', 'itkRunLengthTextureFeaturesImageFilterIUS4VIF4', True, 'itk::Image< unsigned short,4 >, itk::VectorImage< float,4 >'),
  ('RunLengthTextureFeaturesImageFilter', 'itk::Statistics::RunLengthTextureFeaturesImageFilter', 'itkRunLengthTextureFeaturesImageFilterIUS4IVF104', True, 'itk::Image< unsigned short,4 >, itk::Image<itk::Vector<float,10>,4>'),
  ('RunLengthTextureFeaturesImageFilter', 'itk::Statistics::RunLengthTextureFeaturesImageFilter', 'itkRunLengthTextureFeaturesImageFilterIF4VIF4', True, 'itk::Image< float,4 >, itk::VectorImage< float,4 >'),
  ('RunLengthTextureFeaturesImageFilter', 'itk::Statistics::RunLengthTextureFeaturesImageFilter', 'itkRunLengthTextureFeaturesImageFilterIF4IVF104', True, 'itk::Image< float,4 >, itk::Image<itk::Vector<float,10>,4>'),
  ('RunLengthTextureFeaturesImageFilter', 'itk::Statistics::RunLengthTextureFeaturesImageFilter', 'itkRunLengthTextureFeaturesImageFilterID4VIF4', True, 'itk::Image< double,4 >, itk::VectorImage< float,4 >'),
  ('RunLengthTextureFeaturesImageFilter', 'itk::Statistics::RunLengthTextureFeaturesImageFilter', 'itkRunLengthTextureFeaturesImageFilterID4IVF104', True, 'itk::Image< double,4 >, itk::Image<itk::Vector<float,10>,4>'),
)
factories = ()
